Open CASCADE Technology: PBRep_TVertex Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PBRep_TVertex Class Reference

`#include <PBRep_TVertex.hxx>`

Inheritance diagram for PBRep_TVertex:
[legend]

## Public Member Functions
| PBRep_TVertex ()
Standard_Real | Tolerance () const
void | Tolerance (const Standard_Real T)
gp_Pnt | Pnt () const
void | Pnt (const gp_Pnt &P)
Handle< PBRep_PointRepresentation > | Points () const
void | Points (const Handle< PBRep_PointRepresentation > &P)
| PBRep_TVertex (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPBRep_TVertexmyTolerance () const
void | _CSFDB_SetPBRep_TVertexmyTolerance (const Standard_Real p)
const gp_Pnt & | _CSFDB_GetPBRep_TVertexmyPnt () const
Handle< PBRep_PointRepresentation > | _CSFDB_GetPBRep_TVertexmyPoints () const
void | _CSFDB_SetPBRep_TVertexmyPoints (const Handle< PBRep_PointRepresentation > &p)
Public Member Functions inherited from PTopoDS_TVertex
TopAbs_ShapeEnum | ShapeType () const
| Returns the type as a term of the ShapeEnum enum : VERTEX, EDGE, WIRE, FACE, .... More...
| PTopoDS_TVertex (const Storage_stCONSTclCOM &a)
| PTopoDS_TVertex ()
Public Member Functions inherited from PTopoDS_TShape
Standard_Boolean | Modified () const
| Returns the modification flag. More...
void | Modified (const Standard_Boolean M)
| Sets the modification flag. More...
Standard_Boolean | Checked () const
| Returns the checked flag. More...
void | Checked (const Standard_Boolean C)
| Sets the checked flag. More...
Standard_Boolean | Orientable () const
| Returns the orientability flag. More...
void | Orientable (const Standard_Boolean C)
| Sets the orientability flag. More...
Standard_Boolean | Closed () const
| Returns the closedness flag. More...
void | Closed (const Standard_Boolean C)
| Sets the closedness flag. More...
Standard_Boolean | Infinite () const
| Returns the infinity flag. More...
void | Infinite (const Standard_Boolean C)
| Sets the infinity flag. More...
Standard_Boolean | Convex () const
| Returns the convexness flag. More...
void | Convex (const Standard_Boolean C)
| Sets the convexness flag. More...
Handle< PTopoDS_HArray1OfHShape > | Shapes () const
| Sets the hshape list. More...
Handle< PTopoDS_HShape > | Shapes (const Standard_Integer I) const
| Sets the i th element of the HShape list. More...
void | Shapes (const Handle< PTopoDS_HArray1OfHShape > &S)
| Returns the HShape list. More...
void | Shapes (const Standard_Integer I, const Handle< PTopoDS_HShape > &S)
| Returns the i th element of the hshape list. More...
| PTopoDS_TShape (const Storage_stCONSTclCOM &a)
Handle< PTopoDS_HArray1OfHShape > | _CSFDB_GetPTopoDS_TShapemyShapes () const
void | _CSFDB_SetPTopoDS_TShapemyShapes (const Handle< PTopoDS_HArray1OfHShape > &p)
Standard_Integer | _CSFDB_GetPTopoDS_TShapemyFlags () const
void | _CSFDB_SetPTopoDS_TShapemyFlags (const Standard_Integer p)
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Additional Inherited Members
Protected Member Functions inherited from PTopoDS_TShape
| PTopoDS_TShape ()

## Constructor & Destructor Documentation

PBRep_TVertex::PBRep_TVertex | ( |  | ) |

PBRep_TVertex::PBRep_TVertex | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

const gp_Pnt& PBRep_TVertex::_CSFDB_GetPBRep_TVertexmyPnt | ( |  | ) | const
| inline

Handle< PBRep_PointRepresentation > PBRep_TVertex::_CSFDB_GetPBRep_TVertexmyPoints | ( |  | ) | const
| inline

Standard_Real PBRep_TVertex::_CSFDB_GetPBRep_TVertexmyTolerance | ( |  | ) | const
| inline

void PBRep_TVertex::_CSFDB_SetPBRep_TVertexmyPoints | ( | const Handle< PBRep_PointRepresentation > & | p | ) |
| inline

void PBRep_TVertex::_CSFDB_SetPBRep_TVertexmyTolerance | ( | const Standard_Real | p | ) |
| inline

gp_Pnt PBRep_TVertex::Pnt | ( |  | ) | const

void PBRep_TVertex::Pnt | ( | const gp_Pnt & | P | ) |

Handle< PBRep_PointRepresentation > PBRep_TVertex::Points | ( |  | ) | const

void PBRep_TVertex::Points | ( | const Handle< PBRep_PointRepresentation > & | P | ) |

Standard_Real PBRep_TVertex::Tolerance | ( |  | ) | const

void PBRep_TVertex::Tolerance | ( | const Standard_Real | T | ) |

The documentation for this class was generated from the following file:

- PBRep_TVertex.hxx